Subject: Re: [PATCH v2 0/3] Miscellaneous merge fixes

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Aug 2022 14:09:06 -0700

Elijah Newren <[email-masked]> writes:

> On Mon, Aug 22, 2022 at 7:42 PM Elijah Newren via GitGitGadget
> <[email-masked]> wrote:
>>
>> While working on other things, I noticed a few miscellaneous issues in
>> builtin/merge.c. Here's a few small fixes to address them.
>
> Sorry, forgot to include a high level summary:
>
> Changes since v1:
>   * Fix play/apply typo, spotted by Eric
>   * Almost completely rewrote patch 2; it's now merely a "code cleanup"
>   * Added a third patch, just a very minor code simplification

I was skeptical about patch 2 before I saw it, but removal of
!merge_was_ok in the loop condition alone is very well worth it.

As to patch 3, I do not think it makes huge difference either way,
but I've queued it anyway.

Thanks.